
//------------------------------------------------------------------------------
// Copyright (c) 2007 by AUDACIA Software
//------------------------------------------------------------------------------

package com.audacia.opentools.casiopv.addinwiz;

import java.awt.*;
import javax.swing.*;

import com.borland.primetime.util.*;
import com.borland.primetime.wizard.*;


public class AddLibWizardPage extends BasicWizardPage {

  public AddLibWizardPage() {
    try {
      System.loadLibrary ("pvwizjni");
      listData = AddInJNIComm.getPV2SDKLibraries ();
      if (listData.length == 0)
      {
        listData = new String[1];
        listData[0] = "<no libraries>";
      }
      jbInit();
    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
  }

  public String getLibraryName() {
    return (String) jLibraryList.getSelectedValue ();
  }

  String[] listData;

  FlowLayout flowLayout = new FlowLayout();
  JList jLibraryList = new JList();
  JScrollPane scrollPane = new JScrollPane ();

  protected void jbInit() throws Exception {
    this.setLayout(flowLayout);


    this.setPageTitle("Add Library");
    this.setLargeIcon(new ImageIcon(Images.getImage(AddLibWizardPage.class, "image/library.jpg")));
    this.setInstructions("Please select a library below:");

    jLibraryList.setListData (listData);
    jLibraryList.setSelectedIndex(0);
    scrollPane.setPreferredSize(new Dimension(340, 270));
    this.setMaximumSize(new Dimension(364, 315));
    this.setPreferredSize(new Dimension(364, 315));
    this.setMinimumSize(new Dimension(364, 315));
    this.setSize (364, 315);
    this.add(scrollPane);
    scrollPane.getViewport().add(jLibraryList);
  }
}

