
//------------------------------------------------------------------------------
// Copyright (c) 2006 by AUDACIA Software
//------------------------------------------------------------------------------

package com.audacia.opentools.a86viewer;

import com.borland.primetime.PrimeTime;
import com.borland.primetime.editor.*;


public class A86EditorKit extends TextEditorKit
{
  public static void initOpenTool(byte majorVersion, byte minorVersion) {
    if (majorVersion == PrimeTime.CURRENT_MAJOR_VERSION) {
      EditorManager.registerEditorKit(new A86EditorKit());
    }
  }

  public Scanner createScanner() {
    return new A86Scanner();
  }

  public String getContentType() {
    return "text/a86";
  }

  public Object clone() {
    A86EditorKit kit = new A86EditorKit();
    return kit;
  }
}
