
//------------------------------------------------------------------------------
// Copyright (c) 2006 by AUDACIA Software
//------------------------------------------------------------------------------

package com.audacia.opentools.casiopv.addinwiz;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

import com.borland.primetime.util.*;
import com.borland.primetime.wizard.*;


public class FileWizardNamePage extends BasicWizardPage {


  public FileWizardNamePage(boolean header) {
    isHeader = header;
    try {
      jbInit();
    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
  }



  public String getName() {
    return this.projectName.getText();
  }
  public boolean getIsA86File() {
    return jRbtnA86File.isSelected ();
  }


  protected JTextField projectName = new JTextField ();
  FlowLayout flowLayout = new FlowLayout();
  JPanel jPanel = new JPanel();
  FlowLayout flowLayout2 = new FlowLayout();
  JRadioButton jRbtnCFile = new JRadioButton();
  JRadioButton jRbtnA86File = new JRadioButton();
  ButtonGroup buttonGroup1 = new ButtonGroup();
  Border border2 = new TitledBorder(BorderFactory.createEtchedBorder(Color.white,
  new Color(148, 145, 140)), "Source type");

  protected void jbInit() throws Exception {
    this.setLayout(flowLayout);


    this.setPageTitle(isHeader
                    ? "New Header File"
                    : "New Source File");
    this.setLargeIcon(new ImageIcon(Images.getImage(FileWizardNamePage.class, "image/scbkg.gif")));
    this.setInstructions("Please input the file name (without extension):");

    projectName.setPreferredSize(new Dimension(346, 20));
    projectName.setText ("newfile");

    jPanel.setPreferredSize(new Dimension(350, 82));
    jPanel.setLayout(flowLayout2);
    jPanel.setBorder(BorderFactory.createEtchedBorder());

    jPanel.setBorder(border2);
    jRbtnCFile.setText("C file (.c)");
    jRbtnA86File.setText("Assembler file (.a86)");
    jRbtnCFile.setPreferredSize(new Dimension(320, 20));
    jRbtnCFile.setMnemonic('C');
    jRbtnCFile.setSelected (true);
    jRbtnA86File.setPreferredSize(new Dimension(320, 20));
    jRbtnA86File.setMnemonic('A');
    jRbtnA86File.setSelected (false);

    buttonGroup1.add(jRbtnCFile);
    buttonGroup1.add(jRbtnA86File);
    jPanel.add(jRbtnCFile);
    jPanel.add(jRbtnA86File);

    this.add(projectName);
    if (!isHeader)
        this.add(jPanel);

    this.setMaximumSize(new Dimension(364, 315));
    this.setPreferredSize(new Dimension(364, 315));
    this.setMinimumSize(new Dimension(364, 315));
    this.setSize (364, 315);

  }

  private boolean isHeader;
}

